Get a catalog field by its ID

This method allows to get a list of custom fields in the account.

Limitations
The method is available for all account users.

Data type header when the request is successful
Content-Type: application/hal+json

Data type header in case of an error
Content-Type: application/problem+json

Response parameters
The method returns an array of custom field objects. The properties of the custom field object are listed below. Objects properties differ depending on the entity.

ParameterData typeDescription
idintField ID
namestringField name
codestringField code that can be used to update the value of the field without passing the field ID in the request.
sortintField sorting
typeintField type
entity_typestringEntity type (leads, contacts, companies, catalogs)
enumsarray|nullAvailable field values array. Only available for the fields with enum values.
enums[0]objectAvailable field value model
enums[id]intValue ID
enums[value]stringValue
enums[sort]intValue sorting
Path Params
int32
required

List ID

int32
required

Custom field ID

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
OAuth2
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json